Skip to main content

Applies JSON Patch operations to a contract.

PATCH 

/contract/:ContractId

Available patch operations:

  • path: /Contract/AnnualExpensesAmount, op: Replace, example value: 0
  • path: /Contract/AnnualExpensesCurrencyId, op: Replace, example value: 0
  • path: /Contract/Area, op: Replace, example value: 0
  • path: /Contract/Category, op: Replace, example value: 0
  • path: /Contract/Comment, op: Replace, example value: "string"
  • path: /Contract/Company, op: Add, example value: {"Id":0,"RelationType":"string"}
  • path: /Contract/Company, op: Remove, example value: {"Id":0,"RelationType":"string"}
  • path: /Contract/Description, op: Replace, example value: "string"
  • path: /Contract/DescriptionSLAConditions, op: Replace, example value: "string"
  • path: /Contract/Evaluation, op: Replace, example value: "string"
  • path: /Contract/Signature, op: Replace, example value: "string"
  • path: /Contract/OrganizationalUnit, op: Add, example value: {"Id":0,"Name":"string"}
  • path: /Contract/OrganizationalUnit, op: Remove, example value: {"Id":0,"Name":"string"}
  • path: /Contract/Name, op: Replace, example value: "string"
  • path: /Contract/OrderingPartyNoticePeriod, op: Replace, example value: {"Days":0,"Hours":null,"Minutes":null,"Seconds":null,"Milliseconds":null,"Microseconds":null}
  • path: /Contract/Owner, op: Add, example value: {"OwnerType":{"Name":"string","Value":0},"User":{"Id":0,"Name":null,"Email":null,"OrganizationalUnit":{"Id":null,"Name":null}}}
  • path: /Contract/Owner, op: Remove, example value: {"OwnerType":{"Name":"string","Value":0},"User":{"Id":0,"Name":null,"Email":null,"OrganizationalUnit":{"Id":null,"Name":null}}}
  • path: /Contract/ShortSLAConditions, op: Replace, example value: "string"
  • path: /Contract/SupplierNoticePeriod, op: Replace, example value: {"Days":0,"Hours":null,"Minutes":null,"Seconds":null,"Milliseconds":null,"Microseconds":null}
  • path: /Contract/Type, op: Add, example value: {"Lookup":"string","EbaCode":null,"IsDora":false}
  • path: /Contract/Type, op: Remove, example value: {"Lookup":"string","EbaCode":null,"IsDora":false}
  • path: /Contract/ValidFrom, op: Replace, example value: "2026-02-17T11:24:12.4067556Z"
  • path: /Contract/ValidTo, op: Replace, example value: "2026-02-17T11:24:12.4068568Z"

Request

Responses

No Content